nl.tudelft.simulation.examples.dsol.animation

## Class BallModel

- java.lang.Object
- - nl.tudelft.simulation.examples.dsol.animation.BallModel

All Implemented Interfaces:
  Serializable, DSOLModel<Double,Double,SimTimeDouble>, DSOLModel.TimeDouble

    public class BallModel
    extends Object
    implements DSOLModel.TimeDouble

Author:
  peter
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface nl.tudelft.simulation.dsol.DSOLModel

`DSOLModel.CalendarDouble, DSOLModel.CalendarFloat, DSOLModel.CalendarLong, DSOLModel.TimeDouble, DSOLModel.TimeDoubleUnit, DSOLModel.TimeFloat, DSOLModel.TimeFloatUnit, DSOLModel.TimeLong`

### Constructor Summary

Constructors
Constructor and Description
`BallModel()` constructs a new BallModel.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `constructModel(SimulatorInterface<Double,Double,SimTimeDouble> sim)`
`SimulatorInterface.TimeDouble` `getSimulator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BallModel

    public BallModel()

constructs a new BallModel.

### Method Detail

#### constructModel

    public void constructModel(SimulatorInterface<Double,Double,SimTimeDouble> sim)
                        throws SimRuntimeException

Specified by:
  `constructModel` in interface `DSOLModel<Double,Double,SimTimeDouble>`
Throws:
  `SimRuntimeException`

#### getSimulator

    public SimulatorInterface.TimeDouble getSimulator()

Specified by:
  `getSimulator` in interface `DSOLModel<Double,Double,SimTimeDouble>`